Автор Тема: Вход по ЭЦП на торговые площадки, госуслуги, госзакупки  (Прочитано 125635 раз)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 561
Здесь-то зачем по поводу сертификата zakupki.gov.ru писать? Позлорадствовать?
Напишу, пока не дошел до закрытой части, где это можно написать.
В общем-то у юзеров всё работает, отвалилась подгрузка RSS на сайт (сторонний хостинг, можно конечно и там попросить пофиксить).

Оффлайн Алексей1987

  • Начинающий
  • *
  • Сообщений: 3
Подскажите пожалуйста где взять репозитории Хромиум Гост для ГосЛинукс 7.1, знаю что на сайте КриптоПро имеется, но там есть зависимости.
Так же вопрос по поводу компоненты: ifcplugin-chromium.x86_64
В инструкциях от Ред Софта указано все ставить через их репозитории, но они недоступны как и fap.fssp

Оффлайн NickM

  • Давно тут
  • **
  • Сообщений: 426
    • Email
ГосЛинукс 7.1

А где Вы такую версию взяли?

Насколько Мне известно последняя версия такая, http://fap.fssp.gov.ru/goslinux_fssp/6/iso/IC3/,
и для нее репозитории рабочие, но не обновляемые.

Возможно Вы ведете речь о "РЕД ОС 7.1"?
« Последнее редактирование: 22.07.2020 06:29:13 от NickM »

Оффлайн Алексей1987

  • Начинающий
  • *
  • Сообщений: 3
Не могу сказать откуда взял, дистрибутив был предоставлен.
Данные из ОС
GosLinux release 7.11 (IC5) FSSP ZLVS
Linux fssp-tst-lk 4.9.11-1.el7 .x86_64

Это не Ред ОС. Вопрос в том где взять необходимые пакеты, так как исходя из инструкции предоставленные репозитории (все) не работают. Тоесть из них не установить многие из необходимых  пакетов, в том числе Хромиум Гост и дополнений ifcplugin-chromium.x86_64
Изменил ulr в файле /etc/yum.repos.d/ GosLinux-Base.repo , приложение chromium не найдено.

И я так понимаю последняя версия на IC6 все таки?
http://fap.fssprus.ru/goslinux_fssp/6/ - но тут тоже нету хромиума.
« Последнее редактирование: 22.07.2020 10:11:55 от Алексей1987 »

Оффлайн jobless

  • Давно тут
  • **
  • Сообщений: 249
    • Email

цитата:  ГосЛинукс (не путать с gOS) — дистрибутив Linux, созданный компанией «РЕД СОФТ» ( https://ru.wikipedia.org/wiki/ГосЛинукс )
логика направляет в https://redos.red-soft.ru/contacts/
« Последнее редактирование: 22.07.2020 12:11:24 от jobless »
Рассвет наступит неизбежно!

Оффлайн Алексей1987

  • Начинающий
  • *
  • Сообщений: 3
Да, странно это все.
Поддержка только платная, на вопросы не отвечают.
ОС построена на базе CentOS, для нее должны ведь существовать указанные пакеты.

Оффлайн Alessasder11

  • Начинающий
  • *
  • Сообщений: 1
Здравствуйте Господа форумчане!
В результате долгих манипуляций, я зашел на Госуслуги через ЭЦП.
Благодарю всех за дельные советы и рекомендации.
Результат получен в том числе благодаря поддержке с форума криптопро.
Всех с наступающим Новым годом!!
КриптоПро 4? Достаточно параметры ifcplugin менять, как описано на форуме КриптоПро?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 221
    • Домашняя страница
    • Email
« Последнее редактирование: 13.10.2020 06:52:18 от sb »
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 561
«Мастер настройки рабочего места пользователя» доступен теперь и для компьютеров под управлением операционной системы Linux.

Мастер настройки делает автоматическую проверку и настройку рабочего места пользователя ЕИС. В связи с этим уменьшается число ошибок, связанных с некорректными настройками.

При запуске Мастер настройки автоматически проверит компьютер пользователя и установит необходимое программное обеспечение для работы с ЕИС (КриптоПро, Плагин и другое), а также произведет корректные настройки компьютера.

Софтина написана на Go, для запуска требует root (потому не запускал) и рассчитано на запуск под Linux Ubuntu и Linux Mint.
« Последнее редактирование: 12.10.2020 18:09:00 от yaleks »

Оффлайн Zergiuz

  • Давно тут
  • **
  • Сообщений: 50
для запуска требует root (потому не запускал)
попробовал, не работает в Р 9.1

Оффлайн igorigor76

  • Давно тут
  • **
  • Сообщений: 615
для запуска требует root (потому не запускал)
попробовал, не работает в Р 9.1
Ваше yaleks написал
... рассчитано на запуск под Linux Ubuntu и Linux Mint.
Пробуйте ручную установку. Я сегодня на SL p9 x86_64 настроил. По ЭЦП на zakupki.gov.ru захожу. Подписывать на zakupki.gov.ru пока нечего (на bus.gov.ru подписывает). Позже попробую на zakupki.gov.ru и напишу результат.
Последовательность примерно такая:
1. С сайта cryptopro.ru скачал (предварительно зарегистрировавшись) КриптоПро ЭЦП Browser plug-in 2.0 и сертифицированную версию КриптоПро CSP 5.0. С сайта zakupki.gov.ru корневые сертификаты.
2. apt-get install newt52 нужно для gui установщика КриптоПро CSP 5.0. (потом некоторые пакеты вручную доустанавливал)
3. Установил КриптоПро и Browser plug-in:
Итого пакеты, которые установлены:
rpm -qa | grep cprocsp
lsb-cprocsp-rdr-64-5.0.11455-5.x86_64
cprocsp-cptools-gtk-64-5.0.11455-5.x86_64
cprocsp-compat-altlinux-64-1.0.0-1.noarch
cprocsp-pki-cades-64-2.0.14071-1.x86_64
lsb-cprocsp-kc1-64-5.0.11455-5.x86_64
cprocsp-pki-plugin-64-2.0.14071-1.x86_64
lsb-cprocsp-ca-certs-5.0.11455-5.noarch
lsb-cprocsp-base-5.0.11455-5.noarch
cprocsp-pki-phpcades-64-2.0.14071-1.x86_64
lsb-cprocsp-capilite-64-5.0.11455-5.x86_64
cprocsp-curl-64-5.0.11455-5.x86_64
cprocsp-rdr-gui-gtk-64-5.0.11455-5.x86_64
4. После этого в меню в разделе Инструменты появляется пункт Инструменты КриптоПро. Через него в gui интерфейсе установил сертификаты (личный, корневые).
5. Установил chromium-gost, проверил работу плагина. В настройках плагина можно добавить доверенные сайты, но заработало и так.

Может что-то, упустил. Завтра попробую на другом компьютере, допишу.

Оффлайн Zergiuz

  • Давно тут
  • **
  • Сообщений: 50
Установил chromium-gost
Какая у вас однако свобода, у меня лично выбор между ЯБ и Спутником исходя отсюда -> https://reestr.minsvyaz.ru/search/?how=d&q=%D0%B1%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80&where=reestr
А вот: попробовал, не работает в Р 9.1 - было про автоматизацию, т.е. https://zakupki.gov.ru/epz/main/public/news/news_preview.html?newsId=30584

Оффлайн igorigor76

  • Давно тут
  • **
  • Сообщений: 615
Цитата: igorigor76 от Вчера в 17:50:45

    Установил chromium-gost

Какая у вас однако свобода, у меня лично выбор между ЯБ и Спутником исходя отсюда -> https://reestr.minsvyaz.ru/search/?how=d&q=%D0%B1%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80&where=reestr
1. Вам нужна установка именно в автоматическом режиме?
2. Дистрибутив вы то же из реестра отечественного ПО используете?
Попробовал Yandex браузер. На тестовой странице проверки плагина КриптоПро ЭЦП Browser plug-in срабатывает плагин версии 1.2.87 (Версия плагина: 2.0.14071), который установлен из каталога расширений для Яндекс.Браузера. Та версия плагина, которая была загружена с сайта cryptopro.ru, на тестовой странице не работает. В электронный магазин rts-tender.ru по ЭЦП входит. А на zakupki.gov.ru пишет:
Этот сайт не может обеспечить безопасное соединение.
На сайте lk.zakupki.gov.ru используется неподдерживаемый протокол.
Протокол не поддерживается. Клиент и сервер используют разные версии протокола SSL или разные наборы шифров.
ERR_SSL_VERSION_OR_CIPHER_MISMATCH
. Нужно разбираться.

Браузер Sputnik через web-installer-4.4.4284.0.run не устанавливается:
# ./web-installer-4.4.4284.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Install "alt" dependencies
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия lsb уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 2 не будет обновлено.
Start browser installation, please wait...
[1028/175721.369462:ERROR:sputnik_updater.cc(136)] [Updater::Update]: Не удалось определить дистрибутив ОС Linux.
[1028/175721.379017:ERROR:sputnik_controller.cc(144)] [Controller::Run]: Не удалось запустить/завершить процесс обновления.
Installation completed successfully.
« Последнее редактирование: 29.10.2020 10:48:44 от igorigor76 »

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 561
Браузер Sputnik через web-installer-4.4.4284.0.run не устанавливается:
https://packages.altlinux.org/ru/p9/srpms/sputnik-browser-preinstall
но у меня не заработало и сертификаты вроде были видны, но не заходило по gost-ssl.

Оффлайн igorigor76

  • Давно тут
  • **
  • Сообщений: 615
В p9 сейчас версия Sputnik 4.1.2537.0.
А, судя по веб-установщику, есть уже 4.4.4284.0.
Может быть в репозитарии можно обновить?